{ fetchFromGitHub, linuxManualConfig, runCommand, linux-firmware, ... }:
(linuxManualConfig rec {
  # TODO convert from a fork to just patchfiles
  src = fetchFromGitHub {
    owner = "Nomkid";
    repo = "linux";
    rev = "refs/heads/ps4-linux-6.6.y";
    hash = "sha256-/RM6r+k0GXcCAE73KgOissRboI5WZaB4x4tCjGGEYMA=";
  };
	
  version = "6.6.70-PS4";
  modDirVersion = "6.6.70";

	configfile = runCommand "concat-config" {} ''
		cat "${src}/config" > $out
		echo "CONFIG_EXTRA_FIRMWARE_DIR=\"${linux-firmware}/lib/firmware\"" >> $out
	'';
  allowImportFromDerivation = true;
})
